weixin_39916379
weixin_39916379
2020-11-29 10:22

Install Fails - OS X 10.11.1 (15B42) Ruby 2.2.1

I've tried multiple suggestions from issue 390 but have not been successful installing therubyracer. Appreciate any help you can provide.


gem install therubyracer

Building native extensions.  This could take a while...
ERROR:  Error installing therubyracer:
    ERROR: Failed to build gem native extension.

    /Users/clewis/.rvm/rubies/ruby-2.2.1/bin/ruby -r ./siteconf20151028-65193-1rt2a6e.rb extconf.rb
checking for main() in -lpthread... yes
checking for main() in -lobjc... yes
creating Makefile

make "DESTDIR=" clean

make "DESTDIR="
compiling accessor.cc
g++: error: unrecognized command line option ‘-rdynamic’
make: *** [accessor.o] Error 1

make failed, exit code 2

Gem files will remain installed in /Users/clewis/.rvm/gems/ruby-2.2.1/gems/therubyracer-0.12.2 for inspection.
Results logged to /Users/clewis/.rvm/gems/ruby-2.2.1/extensions/x86_64-darwin-14/2.2.0-static/therubyracer-0.12.2/gem_make.out

该提问来源于开源项目:rubyjs/therubyracer

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

9条回答

为你推荐

换一换